Method: cryptoKeys.delete

Full name: projects.locations.keyRings.cryptoKeys.delete

Permanently deletes the given CryptoKey. All child CryptoKeyVersions must have been previously deleted using KeyManagementService.DeleteCryptoKeyVersion. The specified crypto key will be immediately and permanently deleted upon calling this method. This action cannot be undone.

HTTP request


DELETE https://cloudkms.googleapis.com/v1/{name=projects/*/locations/*/keyRings/*/cryptoKeys/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the CryptoKey to delete.

Authorization requires the following IAM permission on the specified resource name:

  • cloudkms.cryptoKeys.delete

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudkms
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.